Wt: Wt::WSpinBox Class Reference

Wt 3.3.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
Wt::WSpinBox Class Reference

An input control for integer numbers. More...

`#include <Wt/WSpinBox>`

Inheritance diagram for Wt::WSpinBox:
[legend]

List of all members.

## Public Member Functions
| WSpinBox (WContainerWidget *parent=0)
| Creates a spin-box.
void | setMinimum (int minimum)
| Sets the minimum value.
int | minimum () const
| Returns the minimum value.
void | setMaximum (int maximum)
| Sets the maximum value.
int | maximum () const
| Returns the maximum value.
void | setRange (int minimum, int maximum)
| Sets the range.
void | setSingleStep (int step)
| Sets the step value.
int | singleStep () const
| Returns the step value.
void | setValue (int value)
| Sets the value.
int | value () const
| Returns the value.
Signal< int > & | valueChanged ()
| A signal that indicates when the value has changed.

## Detailed Description

An input control for integer numbers.

The spin box provides a control for entering an integer number. It consists of a line edit, and buttons which allow to increase or decrease the value. If you rather need input of a fractional number, use WDoubleSpinBox instead.

WSpinBox is an inline widget.

See also:
  WDoubleSpinBox

Note:
  A spinbox configures a validator for validating the input. Therefore you cannot set a validator yourself.

## Constructor & Destructor Documentation

Wt::WSpinBox::WSpinBox | ( | WContainerWidget * | parent = `0` | ) |

Creates a spin-box.

The range is (0 - 99) and the step size 1.

The initial value is 0.

## Member Function Documentation

int Wt::WSpinBox::maximum | ( |  | ) | const

Returns the maximum value.

See also:
  setMaximum()

int Wt::WSpinBox::minimum | ( |  | ) | const

Returns the minimum value.

See also:
  setMinimum()

void Wt::WSpinBox::setMaximum | ( | int | maximum | ) |

Sets the maximum value.

The default value is 99.

void Wt::WSpinBox::setMinimum | ( | int | minimum | ) |

Sets the minimum value.

The default value is 0.

void Wt::WSpinBox::setRange | ( | int | minimum,
|  | int | maximum
| ) |  |

Sets the range.

See also:
  setMinimum(), setMaximum()

void Wt::WSpinBox::setSingleStep | ( | int | step | ) |

Sets the step value.

The default value is 1.

void Wt::WSpinBox::setValue | ( | int | value | ) |

Sets the value.

`value` must be a value between minimum() and maximum().

The default value is 0

Signal<int>& Wt::WSpinBox::valueChanged | ( |  | ) |

A signal that indicates when the value has changed.

This signal is emitted when setValue() is called.

See also:
  setValue()

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator